Subject: Re: linux-next: manual merge of the kvms390 tree with the s390 tree

From: Anthony Krowiak <[email-masked]>
Date: Mon, 23 Jan 2023 14:02:27 -0500

On 1/22/23 8:12 PM, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the kvms390 tree got a conflict in:
>
>    drivers/s390/crypto/vfio_ap_ops.c
>
> between commit:
>
>    0daf9878a799 ("s390/vfio_ap: check TAPQ response code when waiting for queue reset")
>
> from the s390 tree and commit:
>
>    bedac519eefa ("s390/vfio-ap: check TAPQ response code when waiting for queue reset")
>
> from the kvms390 tree.
>
> They seem to do the same thing, so I used the version of this file from
> the s390 tree as it's commit is much newer and has other changes to this
> file i.e. I effectively dropped the kvms390 tree commit.

That's odd, the patch series posted to the kernel mailing lists did not 
have both of those patches. I think the problem may have occurred 
because there was an earlier version of the patch in question that was 
used to debug a problem in our CI. That patch should have been reverted 
prior to installing the latest version.

>
> I fixed it up (see above) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>